Skip to main content
GET
/
roles
/
{role}
Get
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/roles/{role} \
  --header 'apikey: <api-key>'
{
  "data": {
    "role": "manager",
    "name": "manager",
    "description": "This role gives an update access",
    "metadata": {
      "email": "managers@gmail.com"
    },
    "settings": {
      "listUsers": "all",
      "sendMessagesTo": "friendsOnly"
    },
    "createdAt": 1638343994
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-android-v6-beta2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

role
string
required

A role to get.

Response

200 - application/json

Fetched the role

data
object